@import url('https://fonts.googleapis.com/css?family=Montserrat');

/* NAPIS STRONY INTERNETOWEJ */

@keyframes test {
    0%   {background-color: red;}
    10% {background-color: maroon;}
    20%  {background-color: yellow;}
    30% {background-color: orange;}
    40% {background-color: fuchsia;}
    50% {background-color: lime;}
    60% {background-color: green;}
    70% {background-color: aqua;}
    80%  {background-color: blue;}
    90% {background-color: purple;}
    100% {background-color: silver;}
  }

/*DO KOLORU AUDIO  audio::-webkit-media-controls-panel, video::-webkit-media-controls-panel {
    background-color: red;
}*/
  
audio:hover, audio:focus, audio:active
{
-webkit-box-shadow: 15px 15px 20px red;
-moz-box-shadow: 15px 15px 20px red;
box-shadow: 15px 15px 20px red;
-webkit-transform: scale(1.05);
-moz-transform: scale(1.05);
transform: scale(1.05);
}

audio
{
-webkit-transition:all 0.5s linear;
-moz-transition:all 0.5s linear;
-o-transition:all 0.5s linear;
transition:all 0.5s linear;
box-shadow: 2px 2px 4px 0px red;
-moz-border-radius:7px 7px 7px 7px ;
-webkit-border-radius:7px 7px 7px 7px ;
border-radius:7px 7px 7px 7px ;
}
  
* {
  font-family: 'Montserrat', sans-serif;
  font-size: 1.21rem;
  margin: 0;
  }
.stacja {
  font-family: 'Montserrat', sans-serif;
  font-size: 1.5rem;
  margin: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: flex-start;
  align-content: flex-start;
}


li::before {
  content: "👉";
  padding-inline: 1ch;
}
  .container {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .container p {
    font-size: 3rem;
    padding: 0.5rem;
    font-weight: bold;
    letter-spacing: 0.1rem;
    text-align: center;
    overflow: hidden;
  }
  .container p span.typed-text {
    font-weight: bold;
    color: white;
  }
  .container p span.cursor {
    display: inline-block;
    background-color: rgb(0, 0, 0);
    margin-left: 0.1rem;
    width: 3px;
    animation: blink 0.75s infinite;
  }
  .container p span.cursor.typing {
    animation: none;
  }
  @keyframes blink {
    0%  { background-color: rgb(0, 0, 0); }
    49% { background-color: rgb(0, 0, 0); }
    50% { background-color: transparent; }
    99% { background-color: transparent; }
    100%  { background-color: rgb(0, 0, 0); }
  }

  /* PRZEJSCIE NA INNA STRONE */

  ul {
    list-style: none;
  }
  li {
    margin: 0.25rem 0;
  }
  
  a.underline-hover-effect {
    text-decoration: none;
    color: white;
  }
  
  .underline-hover-effect {
    text-shadow: 1px 1px 3px;
    display: inline-block;
    padding-bottom: 0.25rem; /* defines the space between text and underline */
    position: relative;
  }
  
  @keyframes test {
    0%   {background-color: red;}
    10% {background-color: maroon;}
    20%  {background-color: yellow;}
    30% {background-color: orange;}
    40% {background-color: fuchsia;}
    50% {background-color: lime;}
    60% {background-color: green;}
    70% {background-color: aqua;}
    80%  {background-color: blue;}
    90% {background-color: purple;}
    100% {background-color: silver;}
  }
  
  .underline-hover-effect::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0;
    height: 2px;
    animation-name: test;
    animation-duration: 4s;
    animation-iteration-count: infinite;
    transition: width 0.4s ease-out;
  }
  .underline-hover-effect:hover::before {
    width: 100%;
  }
  
  /* PASEK STRONY INTERNETOWEJ */
  
  * {
    margin: 0;
    padding: 0rem;
    box-sizing: border-box;
  }
  
  header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px 10%;
    background-color: #24252a;
  }
  
  .nav__links a,
  .cta,
  .overlay__content a {
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
    color: #edf0f1;
    text-decoration: none;
  }
  
  .nav__links {
    list-style: none;
    display: flex;
  }
  
  .nav__links li {
    padding: 0px 20px;
  }
  
  .nav__links li a {
    transition: color 0.3s ease 0s;
  }
  
  .nav__links li a:hover {
    color: white;
  }
  
  .cta {
    animation: myAnim 5s;
    animation-iteration-count: infinite;
    padding: 9px 25px;
    background-color: rgba(0, 136, 169, 1);
    border-radius: 50px;
    cursor: pointer;
    transition: background-color 0.3s ease 0s;
  }
  
  .cta:hover {
    background-color: rgba(0, 136, 169, 0.8);
  }
  
  .copy
  {
    font-weight: bold;
    text-align: right;
    color: black;
    padding: 1rem;
  }
  
  @keyframes myAnim {
    0%,
    100% {
      transform: translateX(0%);
      transform-origin: 50% 50%;
    }
  
    15% {
      transform: translateX(-8px) rotate(2deg);
    }
  
    30% {
      transform: translateX(8px) rotate(-2deg);
    }
  
    45% {
      transform: translateX(-4px) rotate(2deg);
    }
  
    60% {
      transform: translateX(4px) rotate(-0.6deg);
    }
  
    75% {
      transform: translateX(-2px) rotate(0.4deg);
    }
    90% {
      transform: translateX(-0.5px) rotate(0.1deg);
    }
  }